package kaysaar.aotd_question_of_loyalty.data.intel.eventfactors.onetime;

import com.fs.starfarer.api.impl.campaign.intel.events.BaseFactorTooltip;
import com.fs.starfarer.api.ui.TooltipMakerAPI;
import java.awt.Color;
import com.fs.starfarer.api.impl.campaign.intel.events.BaseEventIntel;
import com.fs.starfarer.api.impl.campaign.intel.events.BaseOneTimeFactor;

public class StoppingSmuggler extends BaseOneTimeFactor
{
    public StoppingSmuggler(final int points) {
        super(points);
    }
    
    public String getDesc(final BaseEventIntel intel) {
        return "Stopping Smuggler";
    }
    
    public Color getDescColor(final BaseEventIntel intel) {
        return super.getDescColor(intel);
    }
    
    public TooltipMakerAPI.TooltipCreator getMainRowTooltip(final BaseEventIntel intel) {
        return (TooltipMakerAPI.TooltipCreator)new BaseFactorTooltip() {
            public void createTooltip(final TooltipMakerAPI tooltip, final boolean expanded, final Object tooltipParam) {
                tooltip.addPara("Due to our efforts smuggler has been caught and cargo, that would be delivered ended up being thrown to the sun, right?", 0.0f);
            }
        };
    }
}
